This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 456084 - Review Request: gfs-garaldus-fonts - GFS Garaldus majuscule Greek font
Review Request: gfs-garaldus-fonts - GFS Garaldus majuscule Greek font
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-21 09:43 EDT by Nicolas Mailhot
Modified: 2013-03-13 01:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-22 15:50:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sundaram: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2008-07-21 09:43:58 EDT
Spec URL: http://nim.fedorapeople.org/gfs-garaldus.spec
SRPM URL: http://nim.fedorapeople.org/gfs-garaldus-fonts-20080707-1.fc10.src.rpm
Description:
As it is known, the Greek alphabet was used in majuscule form for over a
millenium before the miniscule letters gradually replaced it until they became
the official script in the 9th century A.D. Thereafter, majuscule letters were
confined to sparce use as initials or elaborate titles until the Italian
Renaissance.

The new art of Typography, as well as the need of the humanists to mimic the
ancient Greco-Roman period brought back the extensive use of the majuscule
letterforms in both Latin and Greek typography. Greek books of the time were
printed using the contemporary Byzantine hand with which they combined capital
letters modeled on the Roman antiquity, i.e. with thick and thin strokes and
serifs. At the same time the byzantine majuscule tradition, principally used on
theological editions, remained alive until the early 19th century.

It has been designed by George D. Matthiopoulos.

See also http://fedoraproject.org/wiki/GFS_Garaldus_font
Comment 1 Rahul Sundaram 2008-07-21 15:44:51 EDT
rpmlint has this to say:

gfs-garaldus-fonts.src: E: no-spec-file

OK  | MUST: The spec file name must match the base package…
OK  | MUST: The package must meet the Packaging Guidelines…
OK  | MUST: The package must be licensed with a Fedora approved…
OK  | MUST: The License field in the package spec file must…
OK  | MUST: Packaged detached license and specified in %doc
OK  | MUST: The spec file for the package MUST be legible.
OK  | MUST: The package must successfully compile and build…
OK  | MUST: successfully compile, build 
OK  | MUST: All build dependencies must be listed…
OK  | MUST: A package must own all directories that it creates
OK  | MUST: A package must not contain any duplicate files
OK  | MUST: Permissions on files must be set properly. 
OK  | MUST: Each package must have a %clean section
OK  | MUST: Each package must consistently use macros
OK  | MUST: The package must contain code, or permissible 
OK  | MUST: Packages must not own files or directories already
OK  | MUST: At the beginning of %install, each package MUST…
OK  | MUST: All filenames in rpm packages must be valid UTF-8.
OK  | SHOULD: If the source package does not include license 
OK  | SHOULD: The description and summary section … translations…
OK  | SHOULD: The package builds in mock
OK  | SHOULD: The package builds on all supported architectures
OK  | SHOULD: The reviewer should test that the package…
OK  | SHOULD: If scriptlets are used, those scriptlets must be sane…

Fix the odd rpmlint warning and you are APPROVED

Comment 2 Nicolas Mailhot 2008-07-21 15:52:51 EDT
I guess I pay for the fact rpmlint is broken in rawhide by the new rpm, so I
can't run it. However I do know what that warning means (font spec filename ≠
rpm filename) so I'll fix it before import

Thanks you for the lighting-fast review!

New Package CVS Request
=======================
Package Name: gfs-garaldus-fonts
Short Description: GFS Garaldus majuscule Greek font
Owners: nim
Branches: devel only
InitialCC: fonts-sig
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-07-22 11:52:02 EDT
cvs done.
Comment 4 Nicolas Mailhot 2008-07-22 15:50:34 EDT
Thanks!

Note You need to log in before you can comment on or make changes to this bug.